Subject: Re: bug#11926: 24.1; emacsclient doesn't respect system locale settings

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 17 Aug 2019 15:01:44 -0700

Ivan Kalyaev <[email-masked]> writes:

> When run as emacsclient, Emacs doesn't print non-ASCII characters.
>
> Steps to reproduce
> ------------------
>
> emacs -Q --daemon
> emacsclient newfile
>
> Type or paste some non-ASCII character (like `Ъ'). Instead of printing> it out,
> emacsclient will produce an action like M-0 or C-x.
>
> If you type M-x set-locale-environment RET RET though, the characters
> appear on the screen correctly.
>
> In GNU Emacs 24.1.1 (x86_64-apple-darwin11.4.0)

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

I'm unable to reproduce this error in Emacs 27, but I've only tested
under GNU/Linux.

Are you still seeing this bug in modern versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no